Bug 268153 - NullPointerException at org.netbeans.modules.nativeexecution.api.util.ProcessUtils.execute
NullPointerException at org.netbeans.modules.nativeexecution.api.util.Process...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: execution
Dev
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-22 11:22 UTC by soldatov
Modified: 2016-12-08 11:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.01 KB, text/plain)
2016-09-22 11:22 UTC, soldatov
Details
Proposed fix (to be integrated after the quiet period) (4.52 KB, patch)
2016-09-26 22:25 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-09-22 11:22:19 UTC
Build: NetBeans IDE Dev (Build cnd-trunk-build-3689-on-20160922)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.102-b14, Java(TM) SE Runtime Environment, 1.8.0_102-b14
OS: SunOS

User Comments:
soldatov: try to create remote project




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.nativeexecution.api.util.ProcessUtils.execute(ProcessUtils.java:592)
   at org.netbeans.modules.nativeexecution.api.util.ProcessUtils.execute(ProcessUtils.java:549)
   at org.netbeans.modules.nativeexecution.api.util.ProcessUtils.execute(ProcessUtils.java:508)
   at org.netbeans.modules.cnd.remote.mapper.HostMappingProviderUnixAbstract.findMappings(HostMappingProviderUnixAbstract.java:89)
   at org.netbeans.modules.cnd.remote.mapper.HostMappingsAnalyzer.getMappingsImpl(HostMappingsAnalyzer.java:125)
   at org.netbeans.modules.cnd.remote.mapper.HostMappingsAnalyzer.getMappings(HostMappingsAnalyzer.java:89)
Comment 1 soldatov 2016-09-22 11:22:21 UTC
Created attachment 162172 [details]
stacktrace
Comment 2 Vladimir Kvashin 2016-09-26 22:25:29 UTC
Created attachment 162225 [details]
Proposed fix (to be integrated after the quiet period)
Comment 3 Vladimir Kvashin 2016-10-06 14:53:59 UTC
Fixed in 054a931ff388 on enum/relases
Comment 4 Quality Engineering 2016-10-20 01:58:14 UTC
Integrated into 'main-silver', will be available in build *201610200002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ce4bb334cd00
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #268153 - NullPointerException at org.netbeans.modules.nativeexecution.api.util.ProcessUtils.execute
(transplanted from 054a931ff3888f603944fc64f3f696c6c2fd8086)
Comment 5 soldatov 2016-12-08 11:59:06 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo